<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="../public/css/main.css" rel="stylesheet">

    <script src="https://kit.fontawesome.com/c7d062ae39.js" crossorigin="anonymous"></script>
</head>
<body>
    <div class="login d-flex align-items-center justify-content-center">
        <div class="login-form d-flex flex-column p-5 mx-5 col-md-3 align-items-center justify-content-center">
            <div class="row w-100 pb-2">
                <a href="/"><i class="fas fa-chevron-circle-left fs-1 text-warning"></i></a>
            </div>
            <div class="row py-3">
                <div class="col-6 d-flex align-items-center justify-content-center container">
                    <img src="../public/assets/logo.png" alt="" class="img-fluid" style="max-width: 100px;">
                </div>
                <div class="col d-flex align-items-center justify-content-center">
                    <h1 class="txt-secondary">Secure Messenger</h1>
                </div>
                
            </div>
            <% if(messages.error) {%>
                <div class="row">
                    <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
                        <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
                          <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
                        </symbol>
                        <symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
                          <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                        </symbol>
                        <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
                          <path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"/>
                        </symbol>
                    </svg>
                    <div class="alert alert-primary d-flex align-items-center" role="alert">
                        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#exclamation-triangle-fill"/></svg>
                        <div>
                            <%= messages.error %>
                        </div>
                    </div>
                </div>
            <% }%>
            <form action="/login" method="post" class="d-flex flex-column w-100 needs-validation" novalidate>
                <div class="mb-2">
                    <input id="username-login" class="form-control" type="text" name="username" placeholder="Username" class="my-3" required 
                    pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.{8,72}$).*$">
                    <div class="invalid-feedback">
                        Username can only contain uppercase/lowercase, numbers, underscore, hyphen or period, and minimum length 6 chars
                    </div>
                </div>
                <div class="mb-2">
                    <input type="password" class="form-control" name="password" id="password-login" placeholder="Password" class="mb-3" required pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{8,72}$">
                    <div class="invalid-feedback">
                        Password should be at least one uppercase letter, one lowercase letter and one number
                    </div>
                </div>
                <div>
                    <button id="submit-login" type="submit" class="btn-login btn-lg px-5 text-white">Login</button>
                </div>
            </form>

            <script> // Form Validation
                (function () {
                'use strict'
                var forms = document.querySelectorAll('.needs-validation')

                // Loop over them and prevent submission
                Array.prototype.slice.call(forms)
                    .forEach(function (form) {
                    form.addEventListener('submit', function (event) {
                        if (!form.checkValidity()) {
                            event.preventDefault()
                            event.stopPropagation()
                        }

                        form.classList.add('was-validated')
                    }, false)
                    })
                })()
            </script>
            
            <div class="row">
                <p class=" mt-3 mb-0">Don't have any account? <a href="/register"> Sign up here </a> </p>
            </div>
            <div class="row">
                <p>Forgot password? <a href="/reset-password"> Reset password</a> </p>
            </div>
        </div>
    </div>
    
    <script src="../public/js/login.js" type="text/javascript"></script>
</body>
</html>